# EllipsoidOutlineGeometry

#### new Cesium.EllipsoidOutlineGeometry(options)
Core/EllipsoidOutlineGeometry.js 50

A description of the outline of an ellipsoid centered at the origin.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`radii` | Cartesian3 | `Cartesian3(1.0, 1.0, 1.0)` | optional The radii of the ellipsoid in the x, y, and z directions.
`innerRadii` | Cartesian3 | `options.radii` | optional The inner radii of the ellipsoid in the x, y, and z directions.
`minimumClock` | Number | `0.0` | optional The minimum angle lying in the xy-plane measured from the positive x-axis and toward the positive y-axis.
`maximumClock` | Number | `2*PI` | optional The maximum angle lying in the xy-plane measured from the positive x-axis and toward the positive y-axis.
`minimumCone` | Number | `0.0` | optional The minimum angle measured from the positive z-axis and toward the negative z-axis.
`maximumCone` | Number | `PI` | optional The maximum angle measured from the positive z-axis and toward the negative z-axis.
`stackPartitions` | Number | `10` | optional The count of stacks for the ellipsoid (1 greater than the number of parallel lines).
`slicePartitions` | Number | `8` | optional The count of slices for the ellipsoid (Equal to the number of radial lines).
`subdivisions` | Number | `128` | optional The number of points per line, determining the granularity of the curvature.

##### Throws:

- DeveloperError : options.stackPartitions must be greater than or equal to one.
- DeveloperError : options.slicePartitions must be greater than or equal to zero.
- DeveloperError : options.subdivisions must be greater than or equal to zero.

##### Example:

    var ellipsoid = new Cesium.EllipsoidOutlineGeometry({
      radii : new Cesium.Cartesian3(1000000.0, 500000.0, 500000.0),
      stackPartitions: 6,
      slicePartitions: 5
    });
    var geometry = Cesium.EllipsoidOutlineGeometry.createGeometry(ellipsoid);

### Members

#### static Cesium.EllipsoidOutlineGeometry.packedLength : Number
Core/EllipsoidOutlineGeometry.js 102

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.EllipsoidOutlineGeometry.createGeometry(ellipsoidGeometry) → Geometry|undefined
Core/EllipsoidOutlineGeometry.js 224

Computes the geometric representation of an outline of an ellipsoid, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`ellipsoidGeometry` | EllipsoidOutlineGeometry | A description of the ellipsoid outline.

##### Returns:

The computed vertices and indices.

#### static Cesium.EllipsoidOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/EllipsoidOutlineGeometry.js 113

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | EllipsoidOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.EllipsoidOutlineGeometry.unpack(array, startingIndex, result) → EllipsoidOutlineGeometry
Core/EllipsoidOutlineGeometry.js 166

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | EllipsoidOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new EllipsoidOutlineGeometry instance if one was not provided.